<template>
  <div class="page">
    <div class="list">
      <div class="list_box">
        <div class="item_1_box">
          <div class="rectangle"></div>
          <div class="item_1">详情</div>
        </div>
        <div class="item_2_box">
          <div class="item_2">
            登记卡编号：<span>{{ item.birthCerRegCode }}</span>
          </div>
          <div class="item_2">
            授权码：<span>{{ item.snCode }}</span>
          </div>
          <div class="item_2">
            芯片号：<span>{{ item.identificationFlag }}</span>
          </div>
          <div class="item_2">
            犬名：<span>{{ item.dogName }}</span>
          </div>
          <div class="item_2">
            出生日期：<span>{{ item.dogBirthdayDesc }}</span>
          </div>
          <div class="item_2">
            性别：<span>{{ item.dogGenderDesc }}</span>
          </div>
          <div class="item_2">
            毛色：<span>{{ item.colorFlagDesc }}</span>
          </div>
          <div class="item_2">
            繁殖人：<span>{{ item.transferorMemberName }}</span>
          </div>
          <div class="item_2">
            新犬主：<span>{{ item.receiverMemberName }}</span>
          </div>
          <div class="item_2">
            新犬主手机号：<span>{{ item.receiverMemberMobile }}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      item: JSON.parse(sessionStorage.getItem("transferDetail")) || "",
    };
  },
  mounted() {},
  methods: {},
};
</script>

<style scoped>
.page {
  min-height: 100vh;
  background-color: #f5f5f5;
}
.list {
  padding: 0.1rem;
}
.list_box {
  border-radius: 0.1rem;
  background: #fff;
  border: 1px solid #add4ff;
}

.list_box .item_1_box {
  display: flex;
  align-items: center;
  background-color: #f2f9ff;
  border-top-left-radius: 0.1rem;
  border-top-right-radius: 0.1rem;
  padding: 0.1rem 0;
}
.list_box .rectangle {
  height: 0.3rem;
  width: 0.1rem;
  background: url(../../assets/rectangle.png) center center no-repeat;
  background-size: 100% 100%;
  margin: 0.1rem 0.1rem 0.1rem 0.2rem;
}
.list_box .item_1 {
  width: 100%;
  font-size: 0.28rem;
  line-height: 0.4rem;
  color: #0a2433;
}

.list_box .item_2_box {
  padding: 0.2rem 0.2rem 0.5rem 0.2rem;
}
.list_box .item_2_box .item_2 {
  font-size: 0.26rem;
  color: #999999;
  line-height: 0.3rem;
  padding: 0.3rem 0 0.2rem;
  border-bottom: 0.02rem solid #d7eaff;
}
</style>